
<body>
  <div class="container">
    <div class="title">Login</div>
    <div class="content">
      <form [formGroup]="login" (ngSubmit)="LoginForm()" >
        <div class="user-details">
   
         
            <div class="input-box">
                <span class="details" for="email">Email</span>
                <input type="email" id="email" placeholder="Enter your email" formControlName="email" required>
                <div *ngIf="f['email'].touched && f['email'].invalid" class="alert alert-danger">
                    <div *ngIf="f['email'].errors && f['email'].errors['required']">Email is required.</div>
                    <div *ngIf="f['email'].errors && f['email'].errors['email']">Please, enter valid email address.</div>
                </div>
            </div>
            <div class="input-box">
                <span class="details" for="pass">Password</span>
                <input type="password" id="pass" placeholder="Enter your password" formControlName="pass" required>
                <div *ngIf="f['pass'].touched && f['pass'].invalid" class="alert alert-danger">
                    <div *ngIf="f['pass'].errors && f['pass'].errors['required']">Password is required.</div>
                    <div *ngIf="f['pass'].errors && f['pass'].errors['minlength']">Password should be 6 character.</div>
                </div>
            </div>
     
        </div>
   
        <div class="button">
          <input type="submit" value="Login">
        </div>

        <div class="button">
            <input type="submit" value="Register" [routerLink]="['/authentication/register/']">
          </div>
      </form>
    </div>
  </div>

</body>

